[LTP] [PATCH 4/4] network/stress/icmp: remove old multi-diffnic/* tests
Hangbin Liu
haliu@redhat.com
Mon May 9 09:57:03 CEST 2016
multi-diffnic/* tests have been rewritten and the new version
can be found in icmp/icmp-multi-diffnic.sh.
Signed-off-by: Hangbin Liu <haliu@redhat.com>
---
.../stress/icmp/multi-diffnic/00_Descriptions.txt | 56 ----
.../network/stress/icmp/multi-diffnic/Makefile | 31 ---
.../icmp/multi-diffnic/icmp4-multi-diffnic01 | 301 ---------------------
.../icmp/multi-diffnic/icmp4-multi-diffnic02 | 66 -----
.../icmp/multi-diffnic/icmp4-multi-diffnic03 | 67 -----
.../icmp/multi-diffnic/icmp4-multi-diffnic04 | 66 -----
.../icmp/multi-diffnic/icmp4-multi-diffnic05 | 67 -----
.../icmp/multi-diffnic/icmp4-multi-diffnic06 | 67 -----
.../icmp/multi-diffnic/icmp4-multi-diffnic07 | 66 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic01 | 56 ----
.../icmp/multi-diffnic/icmp6-multi-diffnic02 | 66 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic03 | 67 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic04 | 66 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic05 | 67 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic06 | 67 -----
.../icmp/multi-diffnic/icmp6-multi-diffnic07 | 66 -----
16 files changed, 1242 deletions(-)
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/00_Descriptions.txt
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/Makefile
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic02
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic03
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic04
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic05
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic06
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic07
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic01
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic02
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic03
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic04
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic05
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic06
delete mode 100644 testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic07
diff --git a/testcases/network/stress/icmp/multi-diffnic/00_Descriptions.txt b/testcases/network/stress/icmp/multi-diffnic/00_Descriptions.txt
deleted file mode 100644
index 32da9d0..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/00_Descriptions.txt
+++ /dev/null
@@ -1,56 +0,0 @@
-Verify that the kernel is not crashed with receiving and sending various
-size of ICMP message at differnt NIC simultaneously
-
-icmp4-multi-diffnic01
- IPv4
-
-icmp4-multi-diffnic02
- IPv4
- IPsec [ AH / transport ]
-
-icmp4-multi-diffnic03
- IPv4
- IPsec [ AH / tunnel ]
-
-icmp4-multi-diffnic04
- IPv4
- IPsec [ ESP / transport ]
-
-icmp4-multi-diffnic05
- IPv4
- IPsec [ ESP / tunnel ]
-
-icmp4-multi-diffnic06
- IPv4
- IPcomp [ transport ]
-
-icmp4-multi-diffnic07
- IPv4
- IPcomp [ tunnel ]
-
-icmp6-multi-diffnic01
- IPv6
-
-icmp6-multi-diffnic02
- IPv6
- IPsec [ AH / transport ]
-
-icmp6-multi-diffnic03
- IPv6
- IPsec [ AH / tunnel ]
-
-icmp6-multi-diffnic04
- IPv6
- IPsec [ ESP / transport ]
-
-icmp6-multi-diffnic05
- IPv6
- IPsec [ ESP / tunnel ]
-
-icmp6-multi-diffnic06
- IPv6
- IPcomp [ transport ]
-
-icmp6-multi-diffnic07
- IPv6
- IPcomp [ tunnel ]
diff --git a/testcases/network/stress/icmp/multi-diffnic/Makefile b/testcases/network/stress/icmp/multi-diffnic/Makefile
deleted file mode 100644
index 4746e87..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/Makefile
+++ /dev/null
@@ -1,31 +0,0 @@
-#
-# network/stress/icmp/multi-diffnic testcases Makefile.
-#
-# Copyright (C) 2009, Cisco Systems Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-#
-# Garrett Cooper, October 2009
-#
-
-top_srcdir ?= ../../../../..
-
-include $(top_srcdir)/include/mk/env_pre.mk
-
-INSTALL_TARGETS := icmp*
-
-MAKE_TARGETS :=
-
-include $(top_srcdir)/include/mk/generic_leaf_target.mk
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01
deleted file mode 100644
index c2103f2..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic01
+++ /dev/null
@@ -1,301 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic01
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv4
-# - IPsec is not used
-#
-# *) This script may be read by the other test case
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-# The test case ID, the test case count and the total number of test case
-TCID=${TCID:-icmp4-multi-diffnic01}
-TST_TOTAL=1
-TST_COUNT=1
-export TCID
-export TST_COUNT
-export TST_TOTAL
-
-# Test description
-tst_resm TINFO "Verify that the kernel is not crashed with receiving and sending various size of ICMP message at differnt NIC simultaneously with the following conditions"
-
-# Make sure the value of LTPROOT
-LTPROOT=${LTPROOT:-`(cd ../../../../.. ; pwd)`}
-export LTPROOT
-
-# Check the environmanet variable
-. check_envval || exit $TST_TOTAL
-
-# Dulation of the test [sec]
-NS_DURATION=${NS_DURATION:-3600} # 1 hour
-
-# The version of IP
-IP_VER=${IP_VER:-4}
-
-# true, if ipsec is used
-DO_IPSEC=${DO_IPSEC:-false}
-
-# The value of SPI
-SPI=${SPI:-1000}
-
-# IPsec Protocol ( ah / esp / ipcomp )
-IPSEC_PROTO=${IPSEC_PROTO:-ah}
-
-# IPsec Mode ( transport / tunnel )
-IPSEC_MODE=${IPSEC_MODE:-transport}
-
-# Array of the echo request packet size
-ICMP_SIZE_ARRAY=${ICMP_SIZE_ARRAY:-"10 100 1000 10000 65507"}
-
-
-
-#-----------------------------------------------------------------------
-#
-# Function: do_cleanup
-#
-# Description:
-# Recover the system configuration
-#
-#-----------------------------------------------------------------------
-do_cleanup()
-{
- # Kill the icmp traffic server
- killall_icmp_traffic
-
- # Unset SAD/SPD
- output_ipsec_conf flush | setkey -c >/dev/null 2>&1
- $LTP_RSH $RHOST ${LTPROOT}/'testcases/bin/output_ipsec_conf flush | PATH=/sbin:/usr/sbin:$PATH setkey -c' >/dev/null 2>&1
-
- # Clean up each interface
- link_num=0
- while [ $link_num -lt $link_total ]; do
- initialize_if lhost ${link_num}
- initialize_if rhost ${link_num}
- link_num=`expr $link_num + 1`
- done
-}
-
-
-#-----------------------------------------------------------------------
-#
-# Setup
-#
-
-# Unset the maximum number of processes
-ulimit -u unlimited
-
-# Output the informaion
-tst_resm TINFO "- Test duration is $NS_DURATION [sec]"
-
-link_total=`echo $LHOST_HWADDRS | wc -w`
-rhost_link_total=`echo $RHOST_HWADDRS | wc -w`
-if [ $link_total -ne $rhost_link_total ]; then
- tst_resm TBROK "The number of element in LHOST_HWADDRS differs from RHOST_HWADDRS"
- exit 1
-fi
-if [ $link_total -lt 2 ]; then
- tst_resm TBROK "This test case requires plural NICs."
- exit 1
-fi
-tst_resm TINFO "- Target number of the connection is $link_total"
-
-tst_resm TINFO "- Version of IP is IPv${IP_VER}"
-tst_resm TINFO "- Size of packets are ( $ICMP_SIZE_ARRAY )"
-
-if $DO_IPSEC ; then
- message=`check_setkey`
- if [ $? -ne 0 ]; then
- tst_resm TBROK "$message"
- exit 1
- fi
-
- case $IPSEC_PROTO in
- ah)
- tst_resm TINFO "- IPsec [ AH / $IPSEC_MODE ]"
- ;;
- esp)
- tst_resm TINFO "- IPsec [ ESP / $IPSEC_MODE ]"
- ;;
- ipcomp)
- tst_resm TINFO "- IPcomp [ $IPSEC_MODE ]"
- ;;
- esac
-fi
-
-# Initialize the system configuration
-do_cleanup
-
-# Call do_cleanup function before exit
-trap do_cleanup 0
-
-# Loop for NIC configuration
-link_num=0
-lhost_addrs=""
-while [ $link_num -lt $link_total ]; do
- # name of interface of the local/remote host
- lhost_ifname=`get_ifname lhost $link_num`
- rhost_ifname=`get_ifname rhost $link_num`
-
- # Set the IP address to each interface
- case $IP_VER in
- 4)
- network_part="10.0.${link_num}"
- network_mask=24
- lhost_host_part="2" # local host
- rhost_host_part="1" # remote host
- set_ipv4addr lhost $link_num $network_part $lhost_host_part
- if [ $? -ne 0 ]; then
- tst_resm TBROK "Failed to set IPv4 address at the local host"
- exit 1
- fi
- set_ipv4addr rhost $link_num $network_part $rhost_host_part
- if [ $? -ne 0 ]; then
- tst_resm TBROK "Failed to set IPv4 address at the remote host"
- exit 1
- fi
-
- # IPv4 address of the local/remote host
- lhost_addr="${network_part}.${lhost_host_part}"
- rhost_addr="${network_part}.${rhost_host_part}"
- lhost_addrs="${lhost_addrs} ${lhost_addr}"
- ;;
-
- 6)
- network_part="fd00:1:0:`printf %x ${link_num}`"
- network_mask=64
- lhost_host_part=":2" # local host
- rhost_host_part=":1" # remote host
- add_ipv6addr lhost $link_num $network_part $lhost_host_part
- if [ $? -ne 0 ]; then
- tst_resm TBROK "Failed to set IPv6 address at the local host"
- exit 1
- fi
- add_ipv6addr rhost $link_num $network_part $rhost_host_part
- if [ $? -ne 0 ]; then
- tst_resm TBROK "Failed to set IPv6 address at the remote host"
- exit 1
- fi
- lhost_addr="${network_part}:${lhost_host_part}"
- rhost_addr="${network_part}:${rhost_host_part}"
- lhost_addrs="${lhost_addrs} ${lhost_addr}"
- ;;
-
- *)
- tst_resm TBROK "Unknown IP version"
- ;;
- esac
-
- # Configure SAD/SPD
- if $DO_IPSEC ; then
- ipsec_log=`mktemp -p $TMPDIR`
-
- # Set SAD/SPD according to the variables
- output_ipsec_conf src \
- $IPSEC_PROTO $IPSEC_MODE $SPI $lhost_addr $rhost_addr \
- | setkey -c 2>&1 | tee $ipsec_log
- if [ $? -ne 0 -o -s $ipsec_log ]; then
- rm -f $ipsec_log
- tst_resm TBROK "Failed to configure SAD/SPD on the local host."
- exit 1
- fi
-
- $LTP_RSH $RHOST ${LTPROOT}/testcases/bin/output_ipsec_conf dst $IPSEC_PROTO $IPSEC_MODE $SPI $lhost_addr $rhost_addr' | PATH=/sbin:/usr/sbin:$PATH setkey -c' 2>&1 | tee $ipsec_log
- if [ $? -ne 0 -o -s $ipsec_log ]; then
- rm -f $ipsec_log
- tst_resm TBROK "Failed to configure SAD/SPD on the remote host."
- exit 1
- fi
- rm -f $ipsec_log
- fi
-
- # Make sure the connectivity
- case $IP_VER in
- 4)
- ret=`$LTP_RSH $RHOST ${LTPROOT}/testcases/bin/check_icmpv4_connectivity $rhost_ifname $lhost_addr' ; echo $?'`
- if [ $ret -ne 0 ]; then
- tst_resm TBROK "There is no IPv4 connectivity on Link${link_num}"
- exit 1
- fi
- ;;
-
- 6)
- ret=`$LTP_RSH $RHOST ${LTPROOT}/testcases/bin/check_icmpv6_connectivity $rhost_ifname $lhost_addr' ; echo $?'`
- if [ $ret -ne 0 ]; then
- tst_resm TBROK "There is no IPv6 connectivity on Link${link_num}"
- exit 1
- fi
- ;;
- esac
-
- link_num=`expr $link_num + 1`
-done
-
-
-#-----------------------------------------------------------------------
-#
-# Main
-#
-#
-
-connection_num=0
-while [ $connection_num -lt $link_total ]; do
- field=`expr $connection_num + 1`
- lhost_addr=`echo $lhost_addrs | cut -d ' ' -f $field`
-
- lhost_ifname=`get_ifname lhost $connection_num`
- rhost_ifname=`get_ifname rhost $connection_num`
-
- # Run a client
- $LTP_RSH $RHOST "${LTPROOT}/testcases/bin/ns-echoclient -S $lhost_addr -f $IP_VER -s \"$ICMP_SIZE_ARRAY\"" &
- connection_num=`expr $connection_num + 1`
-done
-
-sleep $NS_DURATION
-killall_icmp_traffic
-wait
-
-#-----------------------------------------------------------------------
-#
-# Clean up
-#
-
-tst_resm TPASS "Test is finished successfully."
-exit 0
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic02 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic02
deleted file mode 100644
index edddce3..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic02
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic02
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv4
-# - IPsec(AH), transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic02
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ah
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic03 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic03
deleted file mode 100644
index 40350f1..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic03
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic03
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv4
-# - IPsec(AH), tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic03
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ah
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic04 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic04
deleted file mode 100644
index df23cc6..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic04
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic04
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv4
-# - IPsec(ESP), transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic04
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=esp
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic05 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic05
deleted file mode 100644
index 328183c..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic05
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic05
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv4
-# - IPsec(ESP), tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic05
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=esp
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic06 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic06
deleted file mode 100644
index 1f6a33b..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic06
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic06
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv4
-# - IPcomp, transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic06
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ipcomp
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic07 b/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic07
deleted file mode 100644
index 89190ae..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp4-multi-diffnic07
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp4-multi-diffnic07
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv4
-# - IPcomp, tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp4-multi-diffnic07
-
-# The version of IP
-IP_VER=4
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ipcomp
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic01 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic01
deleted file mode 100644
index 7b9b104..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic01
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic01
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv6
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic01
-
-# The version of IP
-IP_VER=6
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic02 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic02
deleted file mode 100644
index ffd74c3..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic02
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic02
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv6
-# - IPsec(AH), transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic02
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ah
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic03 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic03
deleted file mode 100644
index 84a31e8..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic03
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic03
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv6
-# - IPsec(AH), tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic03
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ah
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic04 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic04
deleted file mode 100644
index 836142b..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic04
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic04
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv6
-# - IPsec(ESP), transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic04
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=esp
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic05 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic05
deleted file mode 100644
index 58eb616..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic05
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic05
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv6
-# - IPsec(ESP), tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic05
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=esp
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic06 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic06
deleted file mode 100644
index cee918a..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic06
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic06
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-#
-# - The version of IP is IPv6
-# - IPcomp, transport mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic06
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ipcomp
-
-# IPsec Mode
-IPSEC_MODE=transport
-
-. icmp4-multi-diffnic01
diff --git a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic07 b/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic07
deleted file mode 100644
index 7b46609..0000000
--- a/testcases/network/stress/icmp/multi-diffnic/icmp6-multi-diffnic07
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-
-################################################################################
-## ##
-## Copyright (c) International Business Machines Corp., 2005 ##
-## ##
-## This program is free software; you can redistribute it and#or modify ##
-## it under the terms of the GNU General Public License as published by ##
-## the Free Software Foundation; either version 2 of the License, or ##
-## (at your option) any later version. ##
-## ##
-## This program is distributed in the hope that it will be useful, but ##
-## WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY ##
-## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ##
-## for more details. ##
-## ##
-## You should have received a copy of the GNU General Public License ##
-## along with this program; if not, write to the Free Software ##
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA ##
-## ##
-## ##
-################################################################################
-#
-# File:
-# icmp6-multi-diffnic07
-#
-# Description:
-# Verify that the kernel is not crashed with receiving and sending ICMP
-# message at differnt NIC with the following conditions
-# - The version of IP is IPv6
-# - IPcomp, tunnel mode
-#
-# Setup:
-# See ltp-yyyymmdd/testcases/network/stress/README
-#
-# Author:
-# Mitsuru Chinen <mitch@jp.ibm.com>
-#
-# History:
-# Oct 19 2005 - Created (Mitsuru Chinen)
-#
-#-----------------------------------------------------------------------
-# Uncomment line below for debug output.
-#trace_logic=${trace_logic:-"set -x"}
-$trace_logic
-
-#
-# Variables -- Changed by each multi-diffnic testcase
-#
-
-# The test case ID
-TCID=icmp6-multi-diffnic07
-
-# The version of IP
-IP_VER=6
-
-# true, if ipsec is used
-DO_IPSEC=true
-
-# IPsec Protocol
-IPSEC_PROTO=ipcomp
-
-# IPsec Mode
-IPSEC_MODE=tunnel
-
-. icmp4-multi-diffnic01
--
2.5.5
More information about the ltp
mailing list